<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header" *ngIf="showButton && objFunction.create && !approveJd">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BtnCancelHasBorder' (click)="submit(1)" [mbIsDisable]="isLoading"
    mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
  <mb-button mbButtonSize='MEDIUM' [mbButtonAvailableStyle]="(JDSelect && JDSelect.flagStatus === 1) ? 'DISABLE' : 'PRIMARY'"  [mbIsDisable]="isLoading || (JDSelect && JDSelect.flagStatus === 1)" (click)="submit(0)"
    mbButtonText="{{'common.button.transferApproval' | translate}}"></mb-button>
</div>

<div class="content-header" *ngIf="approveJd && objFunction.approve">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BtnCancelHasBorder' (click)="approve()"
  [mbIsDisable]="isLoading" mbButtonText="{{'common.button.approved' | translate}}"></mb-button>
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='GRAY' mbButtonType="NO_BORDER" [mbIsDisable]="isLoading" (click)="reject()"
  mbButtonText="{{'common.button.reject' | translate}}"></mb-button>
</div>

<div class="content">
  <app-job-info [fileInfo]="fileInfo" [jobOrgs]="jobOrgs"  [formJD]="formJD" [listRole]="listRole" (competency)="updateCompetency($event)" [disable]="disable"[disable]="disable"
    [submited]="submited" [submited]="submited" [mode]="mode" [approveJd]="approveJd">
  </app-job-info>
  <app-competency-table [formJD]="formJD" [competencyTable]="competencyTable" [taskTable]="taskTable" [listMajorLevel]="listMajorLevel" [disable]="disable"
    [competencyList]="competencyList" [degreeTable]="degreeTable" [certTable]="certTable"
    [languageTable]="languageTable" [submited]="submited" [mode]="mode"></app-competency-table>
</div>
